Skip to main content
GET
/
v2
/
projects
Retrieve a Project
curl --request GET \
  --url https://api.lilt.com/v2/projects \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lilt.com/v2/projects"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lilt.com/v2/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 448,
    "memory_id": 1234,
    "job_id": 1234,
    "srclang": "en",
    "trglang": "fr",
    "srclocale": "US",
    "trglocale": "FR",
    "name": "My New Project",
    "state": "backlog",
    "due_date": 1489147692,
    "archived": false,
    "metadata": {
      "connectorType": "github",
      "notes": "example metadata"
    },
    "sample_review_percentage": 20,
    "created_at": 1489147692,
    "updated_at": 1489147692,
    "workflowStatus": "READY_TO_START",
    "document": [
      {
        "id": 46530,
        "project_id": 287,
        "srclang": "en",
        "trglang": "de",
        "name": "Introduction.xliff",
        "import_in_progress": false,
        "import_succeeded": false,
        "import_error_message": "Could not parse XML.",
        "export_in_progress": false,
        "export_succeeded": false,
        "export_error_message": "Could not parse XML.",
        "is_pretranslating": false,
        "status": {
          "pretranslation": "idle"
        },
        "translator_email": "translator@example.com",
        "reviewer_email": "reviewer@example.com",
        "customer_reviewer_email": "reviewer@example.com",
        "created_at": 1489147692,
        "updated_at": 1489147692,
        "is_review_complete": true
      }
    ]
  }
]
"<string>"
{
"message": "Internal server error."
}

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

id
integer

A unique Project identifier. It can be a single id or multiple ids separated by a comma

srclang
string

An ISO 639-1 language code.

trglang
string

An ISO 639-1 language code.

from_time
integer

Unix time stamp (epoch, in seconds) of Projects with created_at greater than or equal to the value.

to_time
integer

Unix time stamp (epoch, in seconds) of Projects with created_at less than the value.

state
string

A project state (backlog, inProgress, inReview, inQA, done).

archived
boolean

A flag that toggles whether to include archived projects in the response (the default is true).

connector_id
integer

A unique Connector identifier.

Response

A list of Project objects.

id
integer

A unique number identifying the Project.

Example:

448

memory_id
integer

A unique number identifying the associated Memory.

Example:

1234

job_id
integer

A unique number identifying the associated Job.

Example:

1234

srclang
string

An ISO 639-1 language identifier.

Example:

"en"

trglang
string

An ISO 639-1 language identifier.

Example:

"fr"

srclocale
string

A locale identifier, supported for srclang.

Example:

"US"

trglocale
string

A locale identifier, supported for trglang.

Example:

"FR"

name
string

A name for the project.

Example:

"My New Project"

state
string

The project's state. The possible states are backlog, inProgress, inReview, inQA, and done.

Example:

"backlog"

due_date
integer

The due date. Measured in seconds since the Unix epoch.

Example:

1489147692

archived
boolean

The archived state of the Project.

Example:

false

metadata
object

A JSON object of key/value string pairs. Stores custom project information.

Example:
{
"connectorType": "github",
"notes": "example metadata"
}
sample_review_percentage
integer

The project's sample review percentage.

Example:

20

created_at
integer

Time at which the object was created. Measured in seconds since the Unix epoch.

Example:

1489147692

updated_at
integer

Time at which the object was created. Measured in seconds since the Unix epoch.

Example:

1489147692

workflowStatus
enum<string>

The status of the Workflow for the current project. This may not be present for all project endpoints even with workflows enabled.

Available options:
READY_TO_START,
IN_PROGRESS,
DONE
Example:

"READY_TO_START"

document
object[]

A list of Documents.